Podatność CVE-2016-6558


Publikacja: 2018-07-13   Modyfikacja: 2018-07-14

Opis:
A command injection vulnerability exists in apply.cgi on the ASUS RP-AC52 access point, firmware version 1.0.1.1s and possibly earlier, web interface specifically in the action_script parameter. The action_script parameter specifies a script to be executed if the action_mode parameter does not contain a valid state. If the input provided by action_script does not match one of the hard coded options, then it will be executed as the argument of either a system() or an eval() call allowing arbitrary commands to be executed.

Typ:

CWE-77

(Improper Neutralization of Special Elements used in a Command ('Command Injection'))

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

Ogólna skala CVSS
Znaczenie
Łatwość wykorzystania
7.5/10
6.4/10
10/10
Wymagany dostęp
Złożoność ataku
Autoryzacja
Zdalny
Niska
Nie wymagana
Wpływ na poufność
Wpływ na integralność
Wpływ na dostępność
Częściowy
Częściowy
Częściowy
Affected software
ASUS -> Ea-n66 firmware 
ASUS -> Rp-ac52 firmware 
ASUS -> Rp-ac56 firmware 
ASUS -> Rp-n12 firmware 
ASUS -> Rp-n14 firmware 
ASUS -> Rp-n53 firmware 
ASUS -> Wmp-n12 firmware 

 Referencje:
https://www.kb.cert.org/vuls/id/763843
https://www.securityfocus.com/bid/93596

Copyright 2022, cxsecurity.com

 

Back to Top